*---------------------------------------------------------------------*;
*--- The following Macros are called from the IQSASP3 Program       --*;
*-- MAKECOVAR CREATES THE VARIABLES USED FOR RISK ADJUSTMENT.       --*;
*-- THE LOCATION OF THIS FILE MUST BE ENTERED IN THE CONTROL FILE.  --*;
*---------------------------------------------------------------------*;
%macro MakeVars_IQI_08 ;
IF TPIQ08 IN (0,1);

LENGTH XCV1-XCV5 3 ;

%if &USEPOA=1 %then %do ;
TEMPA = PUT(&APRDRG.,Z3.);
TEMPX = PUT(&XMORTAL.,Z1.);
%end;
%if &USEPOA=0 %then %do ;
TEMPA = PUT(&APRDRG.,Z3.);
TEMPX = PUT(&MORTAL.,Z1.);
%end ;

APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(5) XCV1-XCV5;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO 5;
   XCV(I) = 0;
END;

*IF SEXCAT IN (2)        THEN XCV = 1;

IF POPCAT IN (5,6,7,8,9,
              10,11,12,13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15) THEN XCV1 = 1;
ELSE IF POPCAT IN (16,17,18) THEN XCV2 = 1;

IF APRDRGX IN ('2201','2202') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('2203','2204') THEN XCV3 = 1;

ELSE IF MDC IN (6) THEN XCV4 = 1;
ELSE XCV5 = 1;

%mend MakeVars_IQI_08 ;

%macro MakeVars_IQI_09 ;
IF TPIQ09 IN (0,1);

LENGTH  XCV1-XCV6 3;
%if &USEPOA=1 %then %do ;
TEMPA = PUT(&APRDRG.,Z3.);
TEMPX = PUT(&XMORTAL.,Z1.);;
%end;
%if &USEPOA=0 %then %do ;
TEMPA = PUT(&APRDRG.,Z3.);
TEMPA = PUT(&MORTAL.,Z3.);
%end ;

APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(6) XCV1-XCV6;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO 6;
   XCV(I) = 0;
END;

IF SEXCAT IN (2)        THEN XCV1 = 1;

IF POPCAT IN (5,6,7,8,9,10,11,12,13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15) THEN XCV2 = 1;
ELSE IF POPCAT IN (16,17,18) THEN XCV3 = 1;

IF APRDRGX IN ('2601','2602') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('2603','2604') THEN XCV4 = 1;

ELSE IF MDC IN (7) THEN XCV5 = 1;
ELSE XCV6 = 1;


%mend MakeVars_IQI_09 ;


%macro MakeVars_IQI_09A ;
IF TPIQ09A IN (0,1);

LENGTH TEMPZ TEMPX $1 TEMPA $3 APRDRGZ APRDRGX $4;
LENGTH ZINT XINT XCV1-XCV6 3;

ZINT=0 ; XINT=0 ;
XIN1 = 0; XIN2 = 0;

TEMPA = PUT(&APRDRG.,Z3.);
TEMPZ = PUT(&XMORTAL.,Z1.);
APRDRGZ = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPZ,1,1);
TEMPX = PUT(&MORTAL.,Z1.);
APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(6) XCV1-XCV6;

DO I = 1 TO 6;
   XCV(I) = 0;
END;

IF SEXCAT IN (2) THEN XCV1 = 1;

IF POPCAT IN (13) THEN XINT = 1;
ELSE IF POPCAT IN (14,15) THEN XCV2 = 1;
ELSE IF POPCAT IN (16,17,18) THEN XCV3 = 1;

%if &USEPOA=1 %then %do ;
IF APRDRGX IN ('2601','2602') THEN XINT = 1;
ELSE IF APRDRGX IN ('2603','2604') THEN XCV4 = 1;
%end ;
%if &USEPOA=0 %then %do ;
IF APRDRGZ IN ('2601','2602') THEN ZINT = 1;
ELSE IF APRDRGZ IN ('2603','2604') THEN XCV4 = 1;
%end ;

ELSE IF MDC IN (7) THEN XCV5 = 1;
ELSE XCV6 = 1;


%mend MakeVars_IQI_09A ;


%macro MakeVars_IQI_09B ;

IF TPIQ09B IN (0,1);

XIN1 = 0; XIN2 = 0;
LENGTH TEMPZ TEMPX $1 TEMPA $3 APRDRGZ APRDRGX $4;
LENGTH XINT XCV1-XCV6 3;

TEMPA = PUT(&APRDRG.,Z3.);
TEMPZ = PUT(&MORTAL.,Z1.);
APRDRGZ = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPZ,1,1);
TEMPX = PUT(&XMORTAL.,Z1.);
APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(6) XCV1-XCV6;

DO I = 1 TO 6;
   XCV(I) = 0;
END;

IF SEXCAT IN (2) THEN XCV1 = 1;

IF POPCAT IN (13) THEN XINT = 1;
ELSE IF POPCAT IN (14,15) THEN XCV2 = 1;
ELSE IF POPCAT IN (16,17,18) THEN XCV3 = 1;

%if &USEPOA=1 %then %do ;
IF APRDRGX IN ('2601','2602') THEN XINT = 1;
ELSE IF APRDRGX IN ('2603','2604') THEN XCV4 = 1;
%end ;
%if &USEPOA=0 %then %do ;
IF APRDRGZ IN ('2601','2602') THEN XINT = 1;
ELSE IF APRDRGZ IN ('2603','2604') THEN XCV4 = 1;
%end ;

ELSE IF MDC IN (7) THEN XCV5 = 1;
ELSE XCV6 = 1;

%mend MakeVars_IQI_09B ;


%macro MakeVars_IQI_11 ;
IF TPIQ11 IN (0,1);

LENGTH XIN1 XIN2 XCV1-XCV11 3;

IF NOPOA IN (0);

XIN1 = 0; XIN2 = 0;

TEMPA = PUT(&APRDRG.,Z3.);

%if &USEPOA=1 %then %do ;
TEMPX = PUT(&XMORTAL.,Z1.);
%end;
%if &USEPOA=0 %then %do ;
TEMPX = PUT(&MORTAL.,Z3.);
%end ;

APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(11) XCV1-XCV11;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO 11;
   XCV(I) = 0;
END;

IF SEXCAT IN (2) THEN XCV1 = 1;

IF POPCAT IN (5,6,7,8,9,
              10,11,12,13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15) THEN XCV2 = 1;
ELSE IF POPCAT IN (16) THEN XCV3 = 1;
ELSE IF POPCAT IN (17) THEN XCV4 = 1;
ELSE IF POPCAT IN (18) THEN XCV5 = 1;

IF APRDRGX IN ('1691','1692') THEN XCV6 = 1;
ELSE IF APRDRGX IN ('1693','1694') THEN XCV7 = 1;
ELSE IF APRDRGX IN ('1731','1732') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('1733','1734') THEN XCV8 = 1;

ELSE IF MDC IN (5) THEN XCV9 = 1;
ELSE XCV10 = 1;

IF RUPTURED THEN XCV11 = 1;
%mend MakeVars_IQI_11 ;

%macro MakeVars_IQI_11A ;
IF TPIQ11A IN (0,1);
 
LENGTH TEMPZ TEMPX $1 TEMPA $3 APRDRGZ APRDRGX $4;

LENGTH  XIN1 XIN2 XCV1-XCV11 3;

XIN1 = 0; XIN2 = 0;
TEMPA = PUT(&APRDRG.,Z3.);
TEMPZ = PUT(&MORTAL.,Z1.);
APRDRGZ = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPZ,1,1);
TEMPX = PUT(&XMORTAL.,Z1.);
APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(11) XCV1-XCV11;

DO I = 1 TO 11;
   XCV(I) = 0;
END;

IF SEXCAT IN (2) THEN XCV1 = 1;

IF POPCAT IN (5,6,7,8,9,
              10,11,12,13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15) THEN XCV2 = 1;
ELSE IF POPCAT IN (16) THEN XCV3 = 1;
ELSE IF POPCAT IN (17) THEN XCV4 = 1;
ELSE IF POPCAT IN (18) THEN XCV5 = 1;

%if &USEPOA=1 %then %do;
IF APRDRGX IN ('1691','1692') THEN XCV6 = 1;
ELSE IF APRDRGX IN ('1693','1694') THEN XCV7 = 1;
ELSE IF APRDRGX IN ('1731','1732') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('1733','1734') THEN XCV8 = 1;
%end ;
%if &USEPOA=0 %then %do;
IF APRDRGZ IN ('1691','1692') THEN XCV6 = 1;
ELSE IF APRDRGZ IN ('1693','1694') THEN XCV7 = 1;
ELSE IF APRDRGZ IN ('1731','1732') THEN XIN2 = 1;
ELSE IF APRDRGZ IN ('1733','1734') THEN XCV8 = 1;
%end ;

ELSE IF MDC IN (5) THEN XCV9 = 1;
ELSE XCV10 = 1;

IF RUPTURED THEN XCV11 = 1;


%mend MakeVars_IQI_11A ;


%macro MakeVars_IQI_11B ;
IF TPIQ11B IN (0,1);
 
LENGTH TEMPZ TEMPX $1 TEMPA $3 APRDRGZ APRDRGX $4;

LENGTH XIN1 XIN2 XCV1-XCV11 3;

TEMPA = PUT(&APRDRG.,Z3.);
TEMPZ = PUT(&MORTAL.,Z1.);
APRDRGZ = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPZ,1,1);

TEMPX = PUT(&XMORTAL.,Z1.);
APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(11) XCV1-XCV11;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO 11;
   XCV(I) = 0;
END;

IF SEXCAT IN (2) THEN XCV1 = 1;

IF POPCAT IN (5,6,7,8,9,
              10,11,12,13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15) THEN XCV2 = 1;
ELSE IF POPCAT IN (16) THEN XCV3 = 1;
ELSE IF POPCAT IN (17) THEN XCV4 = 1;
ELSE IF POPCAT IN (18) THEN XCV5 = 1;

%if &USEPOA=1 %then %do;
IF APRDRGX IN ('1691','1692') THEN XCV6 = 1;
ELSE IF APRDRGX IN ('1693','1694') THEN XCV7 = 1;
ELSE IF APRDRGX IN ('1731','1732') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('1733','1734') THEN XCV8 = 1;
%end ;
%if &USEPOA=0 %then %do;
IF APRDRGZ IN ('1691','1692') THEN XCV6 = 1;
ELSE IF APRDRGZ IN ('1693','1694') THEN XCV7 = 1;
ELSE IF APRDRGZ IN ('1731','1732') THEN XIN2 = 1;
ELSE IF APRDRGZ IN ('1733','1734') THEN XCV8 = 1;
%end ;

ELSE IF MDC IN (5) THEN XCV9 = 1;
ELSE XCV10 = 1;

IF RUPTURED THEN XCV11 = 1;

%mend MakeVars_IQI_11B ;


%macro MakeVars_IQI_11C ;
IF TPIQ11C IN (0,1);
 
LENGTH TEMPZ TEMPX $1 TEMPA $3 APRDRGZ APRDRGX $4;

LENGTH  XIN1 XIN2 XCV1-XCV11 3;

TEMPA = PUT(&APRDRG.,Z3.);
TEMPZ = PUT(&MORTAL.,Z1.);
APRDRGZ = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPZ,1,1);
TEMPX = PUT(&XMORTAL.,Z1.);
APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(11) XCV1-XCV11;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO 11;
   XCV(I) = 0;
END;

IF SEXCAT IN (2) THEN XCV1 = 1;

IF POPCAT IN (5,6,7,8,9,
              10,11,12,13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15) THEN XCV2 = 1;
ELSE IF POPCAT IN (16) THEN XCV3 = 1;
ELSE IF POPCAT IN (17) THEN XCV4 = 1;
ELSE IF POPCAT IN (18) THEN XCV5 = 1;

%if &USEPOA=1 %then %do;
IF APRDRGX IN ('1691','1692') THEN XCV6 = 1;
ELSE IF APRDRGX IN ('1693','1694') THEN XCV7 = 1;
ELSE IF APRDRGX IN ('1731','1732') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('1733','1734') THEN XCV8 = 1;
%end ;
%if &USEPOA=0 %then %do;
IF APRDRGZ IN ('1691','1692') THEN XCV6 = 1;
ELSE IF APRDRGZ IN ('1693','1694') THEN XCV7 = 1;
ELSE IF APRDRGZ IN ('1731','1732') THEN XIN2 = 1;
ELSE IF APRDRGZ IN ('1733','1734') THEN XCV8 = 1;
%end ;

ELSE IF MDC IN (5) THEN XCV9 = 1;
ELSE XCV10 = 1;

IF RUPTURED THEN XCV11 = 1;

%mend MakeVars_IQI_11C ;


%macro MakeVars_IQI_11D ;
IF TPIQ11D IN (0,1);
 
LENGTH TEMPZ TEMPX $1 TEMPA $3 APRDRGZ APRDRGX $4;

LENGTH XIN1 XIN2 XCV1-XCV11 3;

TEMPA = PUT(&APRDRG.,Z3.);
TEMPZ = PUT(&MORTAL.,Z1.);
APRDRGZ = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPZ,1,1);

TEMPX = PUT(&XMORTAL.,Z1.);
APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(11) XCV1-XCV11;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO 11;
   XCV(I) = 0;
END;

IF SEXCAT IN (2) THEN XCV1 = 1;

IF POPCAT IN (5,6,7,8,9,
              10,11,12,13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15) THEN XCV2 = 1;
ELSE IF POPCAT IN (16) THEN XCV3 = 1;
ELSE IF POPCAT IN (17) THEN XCV4 = 1;
ELSE IF POPCAT IN (18) THEN XCV5 = 1;

%if &USEPOA=1 %then %do;
IF APRDRGX IN ('1691','1692') THEN XCV6 = 1;
ELSE IF APRDRGX IN ('1693','1694') THEN XCV7 = 1;
ELSE IF APRDRGX IN ('1731','1732') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('1733','1734') THEN XCV8 = 1;
%end ;
%if &USEPOA=0 %then %do;
IF APRDRGZ IN ('1691','1692') THEN XCV6 = 1;
ELSE IF APRDRGZ IN ('1693','1694') THEN XCV7 = 1;
ELSE IF APRDRGZ IN ('1731','1732') THEN XIN2 = 1;
ELSE IF APRDRGZ IN ('1733','1734') THEN XCV8 = 1;
%end ;

ELSE IF MDC IN (5) THEN XCV9 = 1;
ELSE XCV10 = 1;

IF RUPTURED THEN XCV11 = 1;

%mend MakeVars_IQI_11D ;

%macro MakeVars_IQI_12 ;
IF TPIQ&IQ. IN (0,1);

LENGTH XIN1 XIN2 XCV1-XCV&CV. 3;
TEMPA = PUT(&APRDRG.,Z3.);
%if &USEPOA=1 %then %do ;
TEMPX = PUT(&XMORTAL.,Z1.);
%end;
%if &USEPOA=0 %then %do ;
TEMPX = PUT(&MORTAL.,Z1.);
%end ;
APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(&CV.) XCV1-XCV&CV.;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO &CV.;
   XCV(I) = 0;
END;

IF SEXCAT IN (2) THEN XCV1 = 1;

IF POPCAT IN (9,10) THEN XCV2 = 1;
ELSE IF POPCAT IN (11) THEN XCV3 = 1;
ELSE IF POPCAT IN (12) THEN XCV4 = 1;
ELSE IF POPCAT IN (13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15,16,17) THEN XCV5 = 1;
ELSE IF POPCAT IN (18) THEN XCV6 = 1;

IF APRDRGX IN ('1611','1612') THEN XCV7 = 1;
ELSE IF APRDRGX IN ('1613') THEN XCV8 = 1;
ELSE IF APRDRGX IN ('1614') THEN XCV9 = 1;
ELSE IF APRDRGX IN ('1621','1622') THEN XCV10 = 1;
ELSE IF APRDRGX IN ('1623') THEN XCV11 = 1;
ELSE IF APRDRGX IN ('1624') THEN XCV12 = 1;
ELSE IF APRDRGX IN ('1631','1632') THEN XCV13 = 1;
ELSE IF APRDRGX IN ('1633') THEN XCV14 = 1;
ELSE IF APRDRGX IN ('1634') THEN XCV15 = 1;
ELSE IF APRDRGX IN ('1651') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('1652') THEN XCV16 = 1;
ELSE IF APRDRGX IN ('1653') THEN XCV17 = 1;
ELSE IF APRDRGX IN ('1654') THEN XCV18 = 1;
ELSE IF APRDRGX IN ('1661','1662') THEN XCV19 = 1;
ELSE IF APRDRGX IN ('1663') THEN XCV20 = 1;
ELSE IF APRDRGX IN ('1664') THEN XCV21 = 1;

ELSE IF MDC IN (5) THEN XCV22 = 1;
ELSE XCV23 = 1;

%mend MakeVars_IQI_12 ;

%macro MakeVars_IQI_13 ;
IF TPIQ&IQ. IN (0,1);

LENGTH XIN1 XIN2 XCV1-XCV&CV. 3;


TEMPA = PUT(&APRDRG.,Z3.);

%if &USEPOA=1 %then %do ;
TEMPX = PUT(&XMORTAL.,Z1.);
%end;
%if &USEPOA=0 %then %do ;
TEMPX = PUT(&MORTAL.,Z1.);
%end ;

APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(&CV.) XCV1-XCV&CV.;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO &CV.;
   XCV(I) = 0;
END;

IF POPCAT IN (5) THEN XCV1 = 1;
ELSE IF POPCAT IN (6,7,8,9,10,11,12) THEN XCV2 = 1;
ELSE IF POPCAT IN (13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15,16,17,18) THEN XCV3 = 1;

IF APRDRGX IN ('0211') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('0212') THEN XCV4 = 1;
ELSE IF APRDRGX IN ('0213') THEN XCV5 = 1;
ELSE IF APRDRGX IN ('0214') THEN XCV6 = 1;
ELSE IF APRDRGX IN ('0221','0222') THEN XCV7 = 1;
ELSE IF APRDRGX IN ('0223') THEN XCV8 = 1;
ELSE IF APRDRGX IN ('0224') THEN XCV9 = 1;
ELSE IF APRDRGX IN ('0231','0232') THEN XCV10 = 1;
ELSE IF APRDRGX IN ('0233','0234') THEN XCV11 = 1;
ELSE IF APRDRGX IN ('0241','0242') THEN XCV12 = 1;
ELSE IF APRDRGX IN ('0243') THEN XCV13 = 1;
ELSE IF APRDRGX IN ('0244') THEN XCV14 = 1;

ELSE IF MDC IN (1) THEN XCV15 = 1;

IF TRNSFER THEN XCV16 = 1;

%mend MakeVars_IQI_13 ;

%macro MakeVars_IQI_14 ;

IF TPIQ&IQ. IN (0,1);

LENGTH XIN1 XIN2 XCV1-XCV&CV. 3;

TEMPA = PUT(&APRDRG.,Z3.);

%if &USEPOA=1 %then %do ;
TEMPX = PUT(&XMORTAL.,Z1.);
%end;
%if &USEPOA=0 %then %do ;
TEMPX = PUT(&MORTAL.,Z1.);
%end ;

APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(&CV.) XCV1-XCV&CV.;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO &CV.;
   XCV(I) = 0;
END;

IF SEXCAT IN (2) THEN XCV1 = 1;

IF POPCAT IN (5,6,7,8,9,10,11,12) THEN XCV2 = 1;
ELSE IF POPCAT IN (13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15,16,17,18) THEN XCV3 = 1;

IF APRDRGX IN ('3011','3012') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('3013','3014') THEN XCV4 = 1;

ELSE IF MDC IN (8) THEN XCV5 = 1;
ELSE XCV6 = 1;
*always test a residual

*IF TRNSFER THEN XCV16 = 1;
*IF NOPOUB04 THEN XCV33 = 1;
%mend MakeVars_IQI_14 ;

%macro MakeVars_IQI_15 ;
IF TPIQ&IQ. IN (0,1);

LENGTH XIN1 XIN2 XCV1-XCV&CV. 3;

TEMPA = PUT(&APRDRG.,Z3.);

%if &USEPOA=1 %then %do ;
TEMPX = PUT(&XMORTAL.,Z1.);
%end;
%if &USEPOA=0 %then %do ;
TEMPX = PUT(&MORTAL.,Z1.);
%end ;

APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(&CV.) XCV1-XCV&CV.;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO &CV.;
   XCV(I) = 0;
END;

*IF SEXCAT IN (2) THEN XCV1 = 1;
IF SEXCAT IN (2) THEN FEMALE = 1;ELSE FEMALE = 0;

IF POPCAT IN (5,6,7,8) THEN XCV1 = 1;
ELSE IF POPCAT IN (9) THEN XCV2 = 1;
ELSE IF POPCAT IN (10) THEN XCV3 = 1;
ELSE IF POPCAT IN (11) THEN XCV4 = 1;
ELSE IF POPCAT IN (12) THEN XCV5 = 1;
ELSE IF POPCAT IN (13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15,16) THEN XCV6 = 1;
ELSE IF POPCAT IN (17) THEN XCV7 = 1;
ELSE IF POPCAT IN (18) THEN XCV8 = 1;

IF APRDRGX IN ('1611','1612') THEN XCV9 = 1;
ELSE IF APRDRGX IN ('1613','1614') THEN XCV10 = 1;
ELSE IF APRDRGX IN ('1621','1622') THEN XCV11 = 1;
ELSE IF APRDRGX IN ('1623') THEN XCV12 = 1;
ELSE IF APRDRGX IN ('1624') THEN XCV13 = 1;
ELSE IF APRDRGX IN ('1651','1652') THEN XCV14 = 1;
ELSE IF APRDRGX IN ('1653') THEN XCV15 = 1;
ELSE IF APRDRGX IN ('1654') THEN XCV16 = 1;
ELSE IF APRDRGX IN ('1731','1732','1733','1734') THEN XCV17 = 1;
ELSE IF APRDRGX IN ('1741') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('1742') THEN XCV18 = 1;
ELSE IF APRDRGX IN ('1743') THEN XCV19 = 1;
ELSE IF APRDRGX IN ('1744') THEN XCV20 = 1;
ELSE IF APRDRGX IN ('1901') THEN XCV21 = 1;
ELSE IF APRDRGX IN ('1902') THEN XCV22 = 1;
ELSE IF APRDRGX IN ('1903') THEN XCV23 = 1;
ELSE IF APRDRGX IN ('1904') THEN XCV24 = 1;

ELSE IF MDC IN (5) THEN XCV25 = 1;
*ELSE XCV27 = 1;
*always test a residual;

IF TRNSFER THEN XCV26 = 1;
*IF NOPOUB04 THEN XCV39 = 1;

%mend MakeVars_IQI_15 ;


%macro MakeVars_IQI_16 ;
IF TPIQ&IQ. IN (0,1);

LENGTH XIN1 XIN2 XCV1-XCV&CV. 3;

TEMPA = PUT(&APRDRG.,Z3.);

%if &USEPOA=1 %then %do ;
TEMPX = PUT(&XMORTAL.,Z1.);
%end;
%if &USEPOA=0 %then %do ;
TEMPX = PUT(&MORTAL.,Z1.);
%end ;

APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(&CV.) XCV1-XCV&CV.;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO &CV.;
   XCV(I) = 0;
END;

IF SEXCAT IN (2) THEN XCV1 = 1;

IF POPCAT IN (5,6,7,8,9,10) THEN XCV2 = 1;
ELSE IF POPCAT IN (11) THEN XCV3 = 1;
ELSE IF POPCAT IN (12) THEN XCV4 = 1;
ELSE IF POPCAT IN (13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15,16,17) THEN XCV5 = 1;
ELSE IF POPCAT IN (18) THEN XCV6 = 1;

IF APRDRGX IN ('1611') THEN XCV7 = 1;
ELSE IF APRDRGX IN ('1612') THEN XCV8 = 1;
ELSE IF APRDRGX IN ('1613') THEN XCV9 = 1;
ELSE IF APRDRGX IN ('1614') THEN XCV10 = 1;
ELSE IF APRDRGX IN ('1621','1622') THEN XCV11 = 1;
ELSE IF APRDRGX IN ('1623') THEN XCV12 = 1;
ELSE IF APRDRGX IN ('1624') THEN XCV13 = 1;
ELSE IF APRDRGX IN ('1751','1752','1753') THEN XCV14 = 1;
ELSE IF APRDRGX IN ('1754') THEN XCV15 = 1;
ELSE IF APRDRGX IN ('1801') THEN XCV16 = 1;
ELSE IF APRDRGX IN ('1802') THEN XCV17 = 1;
ELSE IF APRDRGX IN ('1803') THEN XCV18 = 1;
ELSE IF APRDRGX IN ('1804') THEN XCV19 = 1;
ELSE IF APRDRGX IN ('1911','1912') THEN XCV20 = 1;
ELSE IF APRDRGX IN ('1913') THEN XCV21 = 1;
ELSE IF APRDRGX IN ('1914') THEN XCV22 = 1;
ELSE IF APRDRGX IN ('1941') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('1942') THEN XCV23 = 1;
ELSE IF APRDRGX IN ('1943') THEN XCV24 = 1;
ELSE IF APRDRGX IN ('1944') THEN XCV25 = 1;

ELSE XCV26 = 1;
*always test a residual;

IF TRNSFER THEN XCV27 = 1;
IF NOPOUB04 THEN XCV28 = 1;
%mend MakeVars_IQI_16 ;

%macro MakeVars_IQI_17 ;
IF TPIQ&IQ. IN (0,1);


TEMPA = PUT(&APRDRG.,Z3.);

%if &USEPOA=1 %then %do ;
TEMPX = PUT(&XMORTAL.,Z1.);
%end;
%if &USEPOA=0 %then %do ;
TEMPX = PUT(&MORTAL.,Z1.);
%end ;

APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(&CV.) XCV1-XCV&CV.;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO &CV.;
   XCV(I) = 0;
END;

IF SEXCAT IN (2) THEN XCV1 = 1;

IF POPCAT IN (5,6,7,8,9,10,11,12) THEN XCV2 = 1;
ELSE IF POPCAT IN (13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15,16,17) THEN XCV3 = 1;
ELSE IF POPCAT IN (18) THEN XCV4 = 1;

IF APRDRGX IN ('0211') THEN XCV5 = 1;
ELSE IF APRDRGX IN ('0212') THEN XCV6 = 1;
ELSE IF APRDRGX IN ('0213') THEN XCV7 = 1;
ELSE IF APRDRGX IN ('0214') THEN XCV8 = 1;
ELSE IF APRDRGX IN ('0221') THEN XCV9 = 1;
ELSE IF APRDRGX IN ('0222') THEN XCV10 = 1;
ELSE IF APRDRGX IN ('0223','0224') THEN XCV11 = 1;
ELSE IF APRDRGX IN ('0231','0232') THEN XCV12 = 1;
ELSE IF APRDRGX IN ('0233') THEN XCV13 = 1;
ELSE IF APRDRGX IN ('0234') THEN XCV14 = 1;
ELSE IF APRDRGX IN ('0241') THEN XCV15 = 1;
ELSE IF APRDRGX IN ('0242') THEN XCV16 = 1;
ELSE IF APRDRGX IN ('0243') THEN XCV17 = 1;
ELSE IF APRDRGX IN ('0244') THEN XCV18 = 1;
ELSE IF APRDRGX IN ('0261','0262','0263') THEN XCV19 = 1;
ELSE IF APRDRGX IN ('0264') THEN XCV20 = 1;
ELSE IF APRDRGX IN ('0441') THEN XCV21 = 1;
ELSE IF APRDRGX IN ('0442') THEN XCV22 = 1;
ELSE IF APRDRGX IN ('0443') THEN XCV23 = 1;
ELSE IF APRDRGX IN ('0444') THEN XCV24 = 1;
ELSE IF APRDRGX IN ('0451') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('0452') THEN XCV25 = 1;
ELSE IF APRDRGX IN ('0453') THEN XCV26 = 1;
ELSE IF APRDRGX IN ('0454') THEN XCV27 = 1;

*ELSE IF MDC IN (5) THEN XCV25 = 1;
ELSE XCV28 = 1;
*always test a residual;

*IF TRNSFER THEN XCV43 = 1;
IF NOPOUB04 THEN XCV29 = 1;

*IF STROKE IN (1,2) THEN XCV32 = 1;

%mend MakeVars_IQI_17 ;


%macro MakeVars_IQI_17A ;
IF TPIQ&IQ. IN (0,1);

LENGTH TEMPZ TEMPX $1 TEMPA $3 APRDRGZ APRDRGX $4;
LENGTH  XIN1 XIN2  XCV1-XCV&CV. 3;

TEMPA = PUT(&APRDRG.,Z3.);
TEMPZ = PUT(&MORTAL.,Z1.);
APRDRGZ = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPZ,1,1);
TEMPX = PUT(&XMORTAL.,Z1.);
APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(&CV.) XCV1-XCV&CV.;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO &CV.;
   XCV(I) = 0;
END;

IF SEXCAT IN (2) THEN XCV1 = 1;

IF POPCAT IN (5,6,7,8,9,10,11,12) THEN XCV2 = 1;
ELSE IF POPCAT IN (13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15,16,17) THEN XCV3 = 1;
ELSE IF POPCAT IN (18) THEN XCV4 = 1;

%if &USEPOA=1 %then %do ;
IF APRDRGX IN ('0211') THEN XCV5 = 1;
ELSE IF APRDRGX IN ('0212') THEN XCV6 = 1;
ELSE IF APRDRGX IN ('0213') THEN XCV7 = 1;
ELSE IF APRDRGX IN ('0214') THEN XCV8 = 1;
ELSE IF APRDRGX IN ('0221') THEN XCV9 = 1;
ELSE IF APRDRGX IN ('0222') THEN XCV10 = 1;
ELSE IF APRDRGX IN ('0223','0224') THEN XCV11 = 1;
ELSE IF APRDRGX IN ('0231','0232') THEN XCV12 = 1;
ELSE IF APRDRGX IN ('0233') THEN XCV13 = 1;
ELSE IF APRDRGX IN ('0234') THEN XCV14 = 1;
ELSE IF APRDRGX IN ('0241') THEN XCV15 = 1;
ELSE IF APRDRGX IN ('0242') THEN XCV16 = 1;
ELSE IF APRDRGX IN ('0243') THEN XCV17 = 1;
ELSE IF APRDRGX IN ('0244') THEN XCV18 = 1;
ELSE IF APRDRGX IN ('0261','0262','0263') THEN XCV19 = 1;
ELSE IF APRDRGX IN ('0264') THEN XCV20 = 1;
ELSE IF APRDRGX IN ('0441') THEN XCV21 = 1;
ELSE IF APRDRGX IN ('0442') THEN XCV22 = 1;
ELSE IF APRDRGX IN ('0443') THEN XCV23 = 1;
ELSE IF APRDRGX IN ('0444') THEN XCV24 = 1;
ELSE IF APRDRGX IN ('0451') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('0452') THEN XCV25 = 1;
ELSE IF APRDRGX IN ('0453') THEN XCV26 = 1;
ELSE IF APRDRGX IN ('0454') THEN XCV27 = 1;
%end ;

%if &USEPOA=0 %then %do ;
IF APRDRGZ IN ('0211') THEN XCV5 = 1;
ELSE IF APRDRGZ IN ('0212') THEN XCV6 = 1;
ELSE IF APRDRGZ IN ('0213') THEN XCV7 = 1;
ELSE IF APRDRGZ IN ('0214') THEN XCV8 = 1;
ELSE IF APRDRGZ IN ('0221') THEN XCV9 = 1;
ELSE IF APRDRGZ IN ('0222') THEN XCV10 = 1;
ELSE IF APRDRGZ IN ('0223','0224') THEN XCV11 = 1;
ELSE IF APRDRGZ IN ('0231','0232') THEN XCV12 = 1;
ELSE IF APRDRGZ IN ('0233') THEN XCV13 = 1;
ELSE IF APRDRGZ IN ('0234') THEN XCV14 = 1;
ELSE IF APRDRGZ IN ('0241') THEN XCV15 = 1;
ELSE IF APRDRGZ IN ('0242') THEN XCV16 = 1;
ELSE IF APRDRGZ IN ('0243') THEN XCV17 = 1;
ELSE IF APRDRGZ IN ('0244') THEN XCV18 = 1;
ELSE IF APRDRGZ IN ('0261','0262','0263') THEN XCV19 = 1;
ELSE IF APRDRGZ IN ('0264') THEN XCV20 = 1;
ELSE IF APRDRGZ IN ('0441') THEN XCV21 = 1;
ELSE IF APRDRGZ IN ('0442') THEN XCV22 = 1;
ELSE IF APRDRGZ IN ('0443') THEN XCV23 = 1;
ELSE IF APRDRGZ IN ('0444') THEN XCV24 = 1;
ELSE IF APRDRGZ IN ('0451') THEN XIN2 = 1;
ELSE IF APRDRGZ IN ('0452') THEN XCV25 = 1;
ELSE IF APRDRGZ IN ('0453') THEN XCV26 = 1;
ELSE IF APRDRGZ IN ('0454') THEN XCV27 = 1;
%end ;

ELSE XCV28 = 1;

IF NOPOUB04 THEN XCV29 = 1;

%mend MakeVars_IQI_17A ;

%macro MakeVars_IQI_17B ;
IF TPIQ&IQ. IN (0,1);

LENGTH TEMPZ TEMPX $1 TEMPA $3 APRDRGZ APRDRGX $4;
LENGTH  XIN1 XIN2  XCV1-XCV&CV. 3;


TEMPA = PUT(&APRDRG.,Z3.);
TEMPZ = PUT(&MORTAL.,Z1.);
APRDRGZ = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPZ,1,1);
TEMPX = PUT(&XMORTAL.,Z1.);
APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(&CV.) XCV1-XCV&CV.;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO &CV.;
   XCV(I) = 0;
END;

IF SEXCAT IN (2) THEN XCV1 = 1;

IF POPCAT IN (5,6,7,8,9,10,11,12) THEN XCV2 = 1;
ELSE IF POPCAT IN (13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15,16,17) THEN XCV3 = 1;
ELSE IF POPCAT IN (18) THEN XCV4 = 1;

%if &USEPOA=1 %then %do ;
IF APRDRGX IN ('0211') THEN XCV5 = 1;
ELSE IF APRDRGX IN ('0212') THEN XCV6 = 1;
ELSE IF APRDRGX IN ('0213') THEN XCV7 = 1;
ELSE IF APRDRGX IN ('0214') THEN XCV8 = 1;
ELSE IF APRDRGX IN ('0221') THEN XCV9 = 1;
ELSE IF APRDRGX IN ('0222') THEN XCV10 = 1;
ELSE IF APRDRGX IN ('0223','0224') THEN XCV11 = 1;
ELSE IF APRDRGX IN ('0231','0232') THEN XCV12 = 1;
ELSE IF APRDRGX IN ('0233') THEN XCV13 = 1;
ELSE IF APRDRGX IN ('0234') THEN XCV14 = 1;
ELSE IF APRDRGX IN ('0241') THEN XCV15 = 1;
ELSE IF APRDRGX IN ('0242') THEN XCV16 = 1;
ELSE IF APRDRGX IN ('0243') THEN XCV17 = 1;
ELSE IF APRDRGX IN ('0244') THEN XCV18 = 1;
ELSE IF APRDRGX IN ('0261','0262','0263') THEN XCV19 = 1;
ELSE IF APRDRGX IN ('0264') THEN XCV20 = 1;
ELSE IF APRDRGX IN ('0441') THEN XCV21 = 1;
ELSE IF APRDRGX IN ('0442') THEN XCV22 = 1;
ELSE IF APRDRGX IN ('0443') THEN XCV23 = 1;
ELSE IF APRDRGX IN ('0444') THEN XCV24 = 1;
ELSE IF APRDRGX IN ('0451') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('0452') THEN XCV25 = 1;
ELSE IF APRDRGX IN ('0453') THEN XCV26 = 1;
ELSE IF APRDRGX IN ('0454') THEN XCV27 = 1;
%end ;

%if &USEPOA=0 %then %do ;
IF APRDRGZ IN ('0211') THEN XCV5 = 1;
ELSE IF APRDRGZ IN ('0212') THEN XCV6 = 1;
ELSE IF APRDRGZ IN ('0213') THEN XCV7 = 1;
ELSE IF APRDRGZ IN ('0214') THEN XCV8 = 1;
ELSE IF APRDRGZ IN ('0221') THEN XCV9 = 1;
ELSE IF APRDRGZ IN ('0222') THEN XCV10 = 1;
ELSE IF APRDRGZ IN ('0223','0224') THEN XCV11 = 1;
ELSE IF APRDRGZ IN ('0231','0232') THEN XCV12 = 1;
ELSE IF APRDRGZ IN ('0233') THEN XCV13 = 1;
ELSE IF APRDRGZ IN ('0234') THEN XCV14 = 1;
ELSE IF APRDRGZ IN ('0241') THEN XCV15 = 1;
ELSE IF APRDRGZ IN ('0242') THEN XCV16 = 1;
ELSE IF APRDRGZ IN ('0243') THEN XCV17 = 1;
ELSE IF APRDRGZ IN ('0244') THEN XCV18 = 1;
ELSE IF APRDRGZ IN ('0261','0262','0263') THEN XCV19 = 1;
ELSE IF APRDRGZ IN ('0264') THEN XCV20 = 1;
ELSE IF APRDRGZ IN ('0441') THEN XCV21 = 1;
ELSE IF APRDRGZ IN ('0442') THEN XCV22 = 1;
ELSE IF APRDRGZ IN ('0443') THEN XCV23 = 1;
ELSE IF APRDRGZ IN ('0444') THEN XCV24 = 1;
ELSE IF APRDRGZ IN ('0451') THEN XIN2 = 1;
ELSE IF APRDRGZ IN ('0452') THEN XCV25 = 1;
ELSE IF APRDRGZ IN ('0453') THEN XCV26 = 1;
ELSE IF APRDRGZ IN ('0454') THEN XCV27 = 1;
%end ;


ELSE XCV28 = 1;

IF NOPOUB04 THEN XCV29 = 1;

%mend MakeVars_IQI_17B ;

%macro MakeVars_IQI_17C ;
IF TPIQ&IQ. IN (0,1);

LENGTH TEMPZ TEMPX $1 TEMPA $3 APRDRGZ APRDRGX $4;
LENGTH  XIN1 XIN2  XCV1-XCV&CV. 3;

TEMPA = PUT(&APRDRG.,Z3.);
TEMPZ = PUT(&MORTAL.,Z1.);
APRDRGZ = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPZ,1,1);
TEMPX = PUT(&XMORTAL.,Z1.);
APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(&CV.) XCV1-XCV&CV.;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO &CV.;
   XCV(I) = 0;
END;

IF SEXCAT IN (2) THEN XCV1 = 1;

IF POPCAT IN (5,6,7,8,9,10,11,12) THEN XCV2 = 1;
ELSE IF POPCAT IN (13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15,16,17) THEN XCV3 = 1;
ELSE IF POPCAT IN (18) THEN XCV4 = 1;

%if &USEPOA=1 %then %do ;
IF APRDRGX IN ('0211') THEN XCV5 = 1;
ELSE IF APRDRGX IN ('0212') THEN XCV6 = 1;
ELSE IF APRDRGX IN ('0213') THEN XCV7 = 1;
ELSE IF APRDRGX IN ('0214') THEN XCV8 = 1;
ELSE IF APRDRGX IN ('0221') THEN XCV9 = 1;
ELSE IF APRDRGX IN ('0222') THEN XCV10 = 1;
ELSE IF APRDRGX IN ('0223','0224') THEN XCV11 = 1;
ELSE IF APRDRGX IN ('0231','0232') THEN XCV12 = 1;
ELSE IF APRDRGX IN ('0233') THEN XCV13 = 1;
ELSE IF APRDRGX IN ('0234') THEN XCV14 = 1;
ELSE IF APRDRGX IN ('0241') THEN XCV15 = 1;
ELSE IF APRDRGX IN ('0242') THEN XCV16 = 1;
ELSE IF APRDRGX IN ('0243') THEN XCV17 = 1;
ELSE IF APRDRGX IN ('0244') THEN XCV18 = 1;
ELSE IF APRDRGX IN ('0261','0262','0263') THEN XCV19 = 1;
ELSE IF APRDRGX IN ('0264') THEN XCV20 = 1;
ELSE IF APRDRGX IN ('0441') THEN XCV21 = 1;
ELSE IF APRDRGX IN ('0442') THEN XCV22 = 1;
ELSE IF APRDRGX IN ('0443') THEN XCV23 = 1;
ELSE IF APRDRGX IN ('0444') THEN XCV24 = 1;
ELSE IF APRDRGX IN ('0451') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('0452') THEN XCV25 = 1;
ELSE IF APRDRGX IN ('0453') THEN XCV26 = 1;
ELSE IF APRDRGX IN ('0454') THEN XCV27 = 1;
%end ;

%if &USEPOA=0 %then %do ;
IF APRDRGZ IN ('0211') THEN XCV5 = 1;
ELSE IF APRDRGZ IN ('0212') THEN XCV6 = 1;
ELSE IF APRDRGZ IN ('0213') THEN XCV7 = 1;
ELSE IF APRDRGZ IN ('0214') THEN XCV8 = 1;
ELSE IF APRDRGZ IN ('0221') THEN XCV9 = 1;
ELSE IF APRDRGZ IN ('0222') THEN XCV10 = 1;
ELSE IF APRDRGZ IN ('0223','0224') THEN XCV11 = 1;
ELSE IF APRDRGZ IN ('0231','0232') THEN XCV12 = 1;
ELSE IF APRDRGZ IN ('0233') THEN XCV13 = 1;
ELSE IF APRDRGZ IN ('0234') THEN XCV14 = 1;
ELSE IF APRDRGZ IN ('0241') THEN XCV15 = 1;
ELSE IF APRDRGZ IN ('0242') THEN XCV16 = 1;
ELSE IF APRDRGZ IN ('0243') THEN XCV17 = 1;
ELSE IF APRDRGZ IN ('0244') THEN XCV18 = 1;
ELSE IF APRDRGZ IN ('0261','0262','0263') THEN XCV19 = 1;
ELSE IF APRDRGZ IN ('0264') THEN XCV20 = 1;
ELSE IF APRDRGZ IN ('0441') THEN XCV21 = 1;
ELSE IF APRDRGZ IN ('0442') THEN XCV22 = 1;
ELSE IF APRDRGZ IN ('0443') THEN XCV23 = 1;
ELSE IF APRDRGZ IN ('0444') THEN XCV24 = 1;
ELSE IF APRDRGZ IN ('0451') THEN XIN2 = 1;
ELSE IF APRDRGZ IN ('0452') THEN XCV25 = 1;
ELSE IF APRDRGZ IN ('0453') THEN XCV26 = 1;
ELSE IF APRDRGZ IN ('0454') THEN XCV27 = 1;
%end ;

ELSE XCV28 = 1;

IF NOPOUB04 THEN XCV29 = 1;

%mend MakeVars_IQI_17C ;

%macro MakeVars_IQI_18 ;
IF TPIQ&IQ. IN (0,1);

LENGTH XIN1 XIN2 XCV1-XCV&CV. 3;

TEMPA = PUT(&APRDRG.,Z3.);

%if &USEPOA=1 %then %do ;
TEMPX = PUT(&XMORTAL.,Z1.);
%end;
%if &USEPOA=0 %then %do ;
TEMPX = PUT(&MORTAL.,Z1.);
%end ;
APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(&CV.) XCV1-XCV&CV.;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO &CV.;
   XCV(I) = 0;
END;

IF POPCAT IN (5,6,7,8,9,10,11,12) THEN XCV1 = 1;
ELSE IF POPCAT IN (13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15,16,17,18) THEN XCV2 = 1;

IF APRDRGX IN ('2201') THEN XCV3 = 1;
ELSE IF APRDRGX IN ('2202') THEN XCV4 = 1;
ELSE IF APRDRGX IN ('2203') THEN XCV5 = 1;
ELSE IF APRDRGX IN ('2204') THEN XCV6 = 1;
ELSE IF APRDRGX IN ('2211') THEN XCV7 = 1;
ELSE IF APRDRGX IN ('2212') THEN XCV8 = 1;
ELSE IF APRDRGX IN ('2213') THEN XCV9 = 1;
ELSE IF APRDRGX IN ('2214') THEN XCV10 = 1;
ELSE IF APRDRGX IN ('2411','2412','2413') THEN XCV11 = 1;
ELSE IF APRDRGX IN ('2414') THEN XCV12 = 1;
ELSE IF APRDRGX IN ('2421','2422','2423') THEN XCV13 = 1;
ELSE IF APRDRGX IN ('2424') THEN XCV14 = 1;
ELSE IF APRDRGX IN ('2441','2442') THEN XCV15 = 1;
ELSE IF APRDRGX IN ('2443') THEN XCV16 = 1;
ELSE IF APRDRGX IN ('2444') THEN XCV17 = 1;
ELSE IF APRDRGX IN ('2531') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('2532') THEN XCV18 = 1;
ELSE IF APRDRGX IN ('2533') THEN XCV19 = 1;
ELSE IF APRDRGX IN ('2534') THEN XCV20 = 1;
ELSE IF APRDRGX IN ('2541','2542','2543') THEN XCV21 = 1;
ELSE IF APRDRGX IN ('2544') THEN XCV22 = 1;

ELSE XCV23 = 1;
*always test a residual;

IF TRNSFER THEN XCV24 = 1;
*IF NOPOUB04 THEN XCV42 = 1;


%mend MakeVars_IQI_18 ;

%macro MakeVars_IQI_19 ;
IF TPIQ&IQ. IN (0,1);

LENGTH XIN1 XIN2 XCV1-XCV&CV. 3;


TEMPA = PUT(&APRDRG.,Z3.);
%if &USEPOA=1 %then %do ;
TEMPX = PUT(&XMORTAL.,Z1.);
%end;
%if &USEPOA=0 %then %do ;
TEMPX = PUT(&MORTAL.,Z1.);
%end ;

APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(&CV.) XCV1-XCV&CV.;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO &CV.;
   XCV(I) = 0;
END;

IF SEXCAT IN (2) THEN XCV1 = 1;

IF POPCAT IN (14) THEN XIN1 = 1;
ELSE IF POPCAT IN (15,16,17) THEN XCV2 = 1;
ELSE IF POPCAT IN (18) THEN XCV3 = 1;

IF APRDRGX IN ('3011','3012') THEN XCV4 = 1;
ELSE IF APRDRGX IN ('3013') THEN XCV5 = 1;
ELSE IF APRDRGX IN ('3014') THEN XCV6 = 1;
ELSE IF APRDRGX IN ('3081') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('3082') THEN XCV7 = 1;
ELSE IF APRDRGX IN ('3083') THEN XCV8 = 1;
ELSE IF APRDRGX IN ('3084') THEN XCV9 = 1;
ELSE IF APRDRGX IN ('3401') THEN XCV10 = 1;
ELSE IF APRDRGX IN ('3402') THEN XCV11 = 1;
ELSE IF APRDRGX IN ('3403') THEN XCV12 = 1;
ELSE IF APRDRGX IN ('3404') THEN XCV13 = 1;

ELSE IF MDC IN (8) THEN XCV14 = 1;
ELSE IF MDC IN (24) THEN XCV15 = 1;

*always test a residual;

IF TRNSFER THEN XCV16 = 1;
IF NOPOUB04 THEN XCV17 = 1;


%mend MakeVars_IQI_19 ;

%macro MakeVars_IQI_20 ;
IF TPIQ&IQ. IN (0,1);

LENGTH XIN1 XIN2 XCV1-XCV&CV. 3;

TEMPA = PUT(&APRDRG.,Z3.);

%if &USEPOA=1 %then %do ;
TEMPX = PUT(&XMORTAL.,Z1.);
%end;
%if &USEPOA=0 %then %do ;
TEMPX = PUT(&MORTAL.,Z1.);
%end ;

APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(&CV.) XCV1-XCV&CV.;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO &CV.;
   XCV(I) = 0;
END;

IF SEXCAT IN (2) THEN XCV1 = 1;

IF POPCAT IN (5) THEN XCV2 = 1;
ELSE IF POPCAT IN (6) THEN XCV3 = 1;
ELSE IF POPCAT IN (7) THEN XCV4 = 1;
ELSE IF POPCAT IN (8) THEN XCV5 = 1;
ELSE IF POPCAT IN (9) THEN XCV6 = 1;
ELSE IF POPCAT IN (10) THEN XCV7 = 1;
ELSE IF POPCAT IN (11) THEN XCV8 = 1;
ELSE IF POPCAT IN (12) THEN XCV9 = 1;
ELSE IF POPCAT IN (13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15,16,17) THEN XCV10 = 1;
ELSE IF POPCAT IN (18) THEN XCV11 = 1;

IF APRDRGX IN ('1211') THEN XCV12 = 1;
ELSE IF APRDRGX IN ('1212') THEN XCV13 = 1;
ELSE IF APRDRGX IN ('1213') THEN XCV14 = 1;
ELSE IF APRDRGX IN ('1214') THEN XCV15 = 1;
ELSE IF APRDRGX IN ('1301') THEN XCV16 = 1;
ELSE IF APRDRGX IN ('1302') THEN XCV17 = 1;
ELSE IF APRDRGX IN ('1303','1304') THEN XCV18 = 1;
ELSE IF APRDRGX IN ('1371') THEN XCV19 = 1;
ELSE IF APRDRGX IN ('1372') THEN XCV20 = 1;
ELSE IF APRDRGX IN ('1373') THEN XCV21 = 1;
ELSE IF APRDRGX IN ('1374') THEN XCV22 = 1;
ELSE IF APRDRGX IN ('1391') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('1392') THEN XCV23 = 1;
ELSE IF APRDRGX IN ('1393') THEN XCV24 = 1;
ELSE IF APRDRGX IN ('1394') THEN XCV25 = 1;

ELSE IF MDC IN (4) THEN XCV26 = 1;
ELSE IF MDC IN (25) THEN XCV27 = 1;

*always test a residual;

IF TRNSFER THEN XCV28 = 1;

%mend MakeVars_IQI_20 ;

%macro MakeVars_IQI_30 ;
IF TPIQ&IQ. IN (0,1);

LENGTH XIN1 XIN2 XCV1-XCV&CV. 3;

TEMPA = PUT(&APRDRG.,Z3.);

%if &USEPOA=1 %then %do ;
TEMPX = PUT(&XMORTAL.,Z1.);
%end;
%if &USEPOA=0 %then %do ;
TEMPX = PUT(&MORTAL.,Z1.);
%end ;

APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(&CV.) XCV1-XCV&CV.;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO &CV.;
   XCV(I) = 0;
END;

IF SEXCAT IN (2) THEN XCV1 = 1;

IF POPCAT IN (9,10,11,12) THEN XCV2 = 1;
ELSE IF POPCAT IN (13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15) THEN XCV3 = 1;
ELSE IF POPCAT IN (16) THEN XCV4 = 1;
ELSE IF POPCAT IN (17) THEN XCV5 = 1;
ELSE IF POPCAT IN (18) THEN XCV6 = 1;

IF APRDRGX IN ('1653','1654') THEN XCV7 = 1;
ELSE IF APRDRGX IN ('1741') THEN XCV8 = 1;
ELSE IF APRDRGX IN ('1742') THEN XCV9 = 1;
ELSE IF APRDRGX IN ('1743') THEN XCV10 = 1;
ELSE IF APRDRGX IN ('1744') THEN XCV11 = 1;
ELSE IF APRDRGX IN ('1751') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('1752') THEN XCV12 = 1;
ELSE IF APRDRGX IN ('1753') THEN XCV13 = 1;
ELSE IF APRDRGX IN ('1754') THEN XCV14 = 1;

ELSE IF MDC IN (4) THEN XCV15 = 1;
ELSE IF MDC IN (5) THEN XCV16 = 1;
ELSE IF MDC IN (8) THEN XCV17 = 1;
ELSE IF MDC IN (18) THEN XCV18 = 1;
ELSE XCV19 = 1;
*always test a residual;

IF TRNSFER THEN XCV20 = 1;
IF NOPOUB04 THEN XCV21 = 1;

%mend MakeVars_IQI_30 ;

%macro MakeVars_IQI_31 ;
IF TPIQ&IQ. IN (0,1);

LENGTH XIN1 XIN2 XCV1-XCV&CV. 3;

TEMPA = PUT(&APRDRG.,Z3.);

%if &USEPOA=1 %then %do ;
TEMPX = PUT(&XMORTAL.,Z1.);
%end;
%if &USEPOA=0 %then %do ;
TEMPX = PUT(&MORTAL.,Z1.);
%end ;

APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(&CV.) XCV1-XCV&CV.;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO &CV.;
   XCV(I) = 0;
END;

IF POPCAT IN (5,6,7,8,9,10,11,12) THEN XCV1 = 1;
ELSE IF POPCAT IN (13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15,16,17,18) THEN XCV2 = 1;

IF APRDRGX IN ('0241') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('0242','0243','0244') THEN XCV3 = 1;

ELSE IF MDC IN (1) THEN XCV4 = 1;
ELSE IF MDC IN (5) THEN XCV5 = 1;
ELSE XCV6 = 1;
*always test a residual;


%mend MakeVars_IQI_31 ;
 
%macro MakeVars_IQI_32 ;
IF TPIQ&IQ. IN (0,1);

LENGTH XIN1 XIN2 XCV1-XCV&CV. 3;

TEMPA = PUT(&APRDRG.,Z3.);

%if &USEPOA=1 %then %do ;
TEMPX = PUT(&XMORTAL.,Z1.);
%end;
%if &USEPOA=0 %then %do ;
TEMPX = PUT(&MORTAL.,Z1.);
%end ;

APRDRGX = SUBSTR(TEMPA,1,3)||SUBSTR(TEMPX,1,1);

ARRAY XCV(&CV.) XCV1-XCV&CV.;

XIN1 = 0; XIN2 = 0;
DO I = 1 TO &CV.;
   XCV(I) = 0;
END;

IF POPCAT IN (5,6,7,8) THEN XCV1 = 1;
ELSE IF POPCAT IN (9) THEN XCV2 = 1;
ELSE IF POPCAT IN (10) THEN XCV3 = 1;
ELSE IF POPCAT IN (11) THEN XCV4 = 1;
ELSE IF POPCAT IN (12) THEN XCV5 = 1;
ELSE IF POPCAT IN (13) THEN XIN1 = 1;
ELSE IF POPCAT IN (14,15,16,17) THEN XCV6 = 1;
ELSE IF POPCAT IN (18) THEN XCV7 = 1;

IF APRDRGX IN ('1611','1612','1613','1614') THEN XCV8 = 1;
ELSE IF APRDRGX IN ('1621','1622') THEN XCV9 = 1;
ELSE IF APRDRGX IN ('1623') THEN XCV10 = 1;
ELSE IF APRDRGX IN ('1624') THEN XCV11 = 1;
ELSE IF APRDRGX IN ('1651','1652') THEN XCV12 = 1;
ELSE IF APRDRGX IN ('1653') THEN XCV13 = 1;
ELSE IF APRDRGX IN ('1654') THEN XCV14 = 1;
ELSE IF APRDRGX IN ('1731','1732','1733','1734') THEN XCV15 = 1;
ELSE IF APRDRGX IN ('1741') THEN XIN2 = 1;
ELSE IF APRDRGX IN ('1742') THEN XCV16 = 1;
ELSE IF APRDRGX IN ('1743') THEN XCV17 = 1;
ELSE IF APRDRGX IN ('1744') THEN XCV18 = 1;
ELSE IF APRDRGX IN ('1901') THEN XCV19 = 1;
ELSE IF APRDRGX IN ('1902') THEN XCV20 = 1;
ELSE IF APRDRGX IN ('1903') THEN XCV21 = 1;
ELSE IF APRDRGX IN ('1904') THEN XCV22 = 1;

ELSE IF MDC IN (5) THEN XCV23 = 1;
*always test a residual;

%mend MakeVars_IQI_32 ;
